import pika

from config import Config


def add_message(message):
    """
    添加消息
    :param message: 消息内容
    :return:
    """

    config = Config()

    user_info = pika.PlainCredentials(config.RabbitMq.USER, config.RabbitMq.PASSWORD)  # 用户名和密码
    connection = pika.BlockingConnection(
        pika.ConnectionParameters(config.RabbitMq.HOST, config.RabbitMq.POST, '/', user_info)
    )  # 连接服务器上的RabbitMQ服务

    # 创建一个channel
    channel = connection.channel()

    # 如果指定的queue不存在，则会创建一个queue，如果已经存在 则不会做其他动作，官方推荐，每次使用时都可以加上这句
    channel.queue_declare(queue=config.RabbitMq.QUEUE)

    channel.basic_publish(exchange='',  # 当前是一个简单模式，所以这里设置为空字符串就可以了
                          routing_key=config.RabbitMq.QUEUE,  # 指定消息要发送到哪个queue
                          body=message  # 指定要发送的消息
                          )

    # 关闭连接
    connection.close()
